Fall back to natural order if two bookmark nodes in a container share all their details
Created attachment 
patch

Fall back to natural order if two bookmark nodes in a container share all their details.
